Package org.eclipse.jgit.lib

## Class FileTreeEntry

- java.lang.Object
- - org.eclipse.jgit.lib.TreeEntry
  - - org.eclipse.jgit.lib.FileTreeEntry

All Implemented Interfaces:
  `Comparable`

    @Deprecated
    public class FileTreeEntry
    extends TreeEntry

Deprecated.
To look up information about a single path, use `TreeWalk.forPath(Repository, String, org.eclipse.jgit.revwalk.RevTree)`. To lookup information about multiple paths at once, use a `TreeWalk` and obtain the current entry's information from its getter methods.
A representation of a file (blob) object in a `Tree`.

### Constructor Summary

Constructors
`FileTreeEntry​(Tree parent, ObjectId id, byte[] nameUTF8, boolean execute)` Deprecated. Constructor for a File (blob) object.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`FileMode` `getMode()` Deprecated.
`boolean` `isExecutable()` Deprecated.
`ObjectLoader` `openReader()` Deprecated.
`void` `setExecutable​(boolean execute)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class org.eclipse.jgit.lib.TreeEntry

`compareTo, delete, detachParent, getFullName, getFullNameUTF8, getId, getName, getNameUTF8, getParent, getRepository, isModified, lastChar, rename, rename, setId, setModified`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileTreeEntry

    public FileTreeEntry​(Tree parent,
                         ObjectId id,
                         byte[] nameUTF8,
                         boolean execute)

Deprecated.
Constructor for a File (blob) object.

Parameters:
  `parent` - The `Tree` holding this object (or null)
  `id` - the SHA-1 of the blob (or null for a yet unhashed file)
  `nameUTF8` - raw object name in the parent tree
  `execute` - true if the executable flag is set

### Method Detail

#### getMode

    public FileMode getMode()

Deprecated.

Specified by:
  `getMode` in class `TreeEntry`
Returns:
  mode (type of object)

#### isExecutable

    public boolean isExecutable()

Deprecated.

Returns:
  true if this file is executable

#### setExecutable

    public void setExecutable​(boolean execute)

Deprecated.

Parameters:
  `execute` - set/reset the executable flag

#### openReader

    public ObjectLoader openReader()
                            throws IOException

Deprecated.

Returns:
  an `ObjectLoader` that will return the data
Throws:
  `IOException`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`